<?php

#.begin
#.mod[core]
# [Constants]
define('SLEX_STATIC_CONF_HEAD', '<?php header(\'HTTP/1.1 404\');exit;?>');
# [Core.Settings]
define('SLEX_EXE_PREFIX', 'exe.');
define('SLEX_EXE_SUFFIX', '_sxExe');
define('SLEX_ENCODING', 'utf-8');
#.mod[/core]

#.mod[error]

#.mod[/error]

#.mod[strutils]
define ('REXP_EMAIL',				'/^[-_\\w\\.]+\\@[-_\\w]+(\\.[-_\\w]+)*$/i');
define ('REXP_USERNAME',		'/^[^\\s\\/\'"!@#\\^\\/\\$&*=\\{\\}`\\\\\\?]*$/i');
define ('REXP_URL',					'/^(http\\:\\/\\/)?[-\\w]+(\\.[-\\w]+)*(\\/.+)*$/i');
define ('REXP_INT',					'/^[-\\+]?[0-9]+$/i');
define ('REXP_HEX',					'/^(0x)?[0-9A-F]+$/i');
define ('REXP_FLOAT',				'/^[-\\+]?[0-9]*\\.[0-9]+$/i');
define ('REXP_NUM',					'/^[-\\+]?[0-9]*\\.?[0-9]+$/i');
define ('REXP_QQ',					'/^[1-9][0-9]{4,12}$/i');
define ('REXP_WORD',				'/^[a-z]+$/i');
#.mod[/strutils]

#.mod[memcache]
define ('MC_DEF_EXPIRE',		3600);
define ('MC_DEF_COMPRESS',		0 /*MEMCACHE_COMPRESSED*/);
define ('MC_DEF_TIMEOUT',		30);
define ('MC_DEF_PCONNECT',		false);
define ('MC_LOCK_SUFFIX',		'_LOCKER');
define ('MC_LOCK_TIMEOUT',		3);
#.mod[/memcache]

#.mod[cache]
define ('CACHE_DEF_EXPIRE',	3600);
define ('CACHE_LOCK_SUFFIX', '_FCACHE');
#.mod[/cache]

#.mod[mysql]
define ('TB_PREFIX', 'fa_');
#.mod[/mysql]

#.mod[volmgr]
define('VOLS_MMC_NAME', 'vol_serv_all');
#.mod[/volmgr]

#.mod[ipmgr]
define('IPACT_BAN', 1);
define('IPACT_ALLOW', 2);
define('IPTYPE_BANNED', 1);
define('IPTYPE_ALLOW', 0);
define('ERR_IP_BASE', 0x01000000);
define('TB_IPLOGS', TB_PREFIX.'iplogs');
define('TB_IPLIMITS', TB_PREFIX.'iplimits');
define('TB_IPLIMITS_TEMP', TB_PREFIX.'ip_temp');
#.mod[/ipmgr]

#.mod[ui]
define('__SKINS__', __ROOT__.'skins/');
define('UI_DEFAULT', 'default');
#.mod[/ui]

#.mod[usermgr]
define('USER_MMC_PREFIX', 'user_');
define('USER_GROUP_PREFIX', 'usrg_');
define('USR_CLS_ADMIN', 1);
define('USR_CLS_PREDONE', 2);
define('USR_CLS_BEGIN', 3);
define('USR_R0_LOGIN', 0x0001);
define('USR_R0_PM', 0x0002);
define('USR_R0_UPLOAD', 0x0004);
define('USR_R0_DOWNLOAD', 0x0008);
define('USR_R0_SHARE', 0x0010);
define('USR_R0_ENCRYPT', 0x0020);
define('USR_R0_DEFAULTSHARE', 0x0040);
define('USR_R0_EMAILVER', 0x0080);
define('TB_USERS', TB_PREFIX.'users');
define('TB_GROUPS', TB_PREFIX.'groups');
#.mod[/usermgr]

#.mod[file]
define('FILEM_PREADD_R0', 0x1);
define('FILEM_RECYCLE_R0', 0x2);
define('FILEM_SHARED_R0', 0x4);
define('FILEM_LOCKED_R0', 0x8);
define('TB_FILES', TB_PREFIX.'files');
define('TB_FOLDERS', TB_PREFIX.'folders');
define('TB_VFILES', TB_PREFIX.'vfiles');
define('TB_FILE_KEYS', TB_PREFIX.'file_keys');
define('TB_FOLDER_KEYS', TB_PREFIX.'folder_keys');
define('FCOM_FILEMGR', 16);
#.mod[/file]

#.mod[share]
define('SHARE_TYPE_FILE', 0x00);
define('SHARE_TYPE_FOLDER', 0x01);
define('TB_SHARES', TB_PREFIX.'shares');
define('SHARE_TO_ANYONE', 0);
#.mod[/share]

#.mod[autosession]
define('SES_NAME', 'FIL_SESSION');
define('SES_AUTOLOGIN', 'autologin');
define('SES_EXPIRES', 43200);
define('SES_EXPIRE_SEC', SES_EXPIRES * 60);
define('TB_SESSIONS', TB_PREFIX.'sessions');
#.mod[/autosession]

#.mod[lang]
define('__LANG__', __ROOT__.'lang/');
define('LANG_DEFAULT', 'zh-cn');
#.mod[/lang]

#.mod[key]
define('TB_KEYS', TB_PREFIX.'keys');
#.mod[/key]

#.mod[net]

#.mod[/net]
#.end